locks_mandatory_area
Prev | File Locks | Next

## Name

locks_mandatory_area — Check for a conflicting lock

## Synopsis

`int locks_mandatory_area (` | int | read_write,
| struct inode * | inode,
| struct file * | filp,
| loff_t | offset,
| size_t | count`)`;

## Arguments

`read_write`

  `FLOCK_VERIFY_WRITE` for exclusive access, `FLOCK_VERIFY_READ` for shared

`inode`

  the file to check

`filp`

  how the file was opened (if it was)

`offset`

  start of area to check

`count`

  length of area to check

## Description

Searches the inode's list of locks to find any POSIX locks which conflict. This function is called from `rw_verify_area` and `locks_verify_truncate`.

Prev | Up | Next
posix_lock_file_wait | Home | __break_lease